/*
 * Application.h
 *
 *  Created on: Jul 9, 2018
 *      Author: a0225755
 */
//*****************************************************************************
// Applications.h
//
//! Header file for Applications.c
//
//! Released on July 20, 2018
//
//*****************************************************************************
#ifndef APPLICATION_APPLICATION_H_
#define APPLICATION_APPLICATION_H_

#include <msp430.h>
#include "driverlib.h"


#define LED_ALL_OFF     P3OUT |= GPIO_PIN1;\
                        P2OUT |= GPIO_PIN4;\
                        P1OUT |= GPIO_PIN7;\
                        P1OUT |= GPIO_PIN0;\
                        P2OUT &= ~GPIO_PIN0;\
                        P2OUT &= ~GPIO_PIN1;\
                        P1OUT &= ~GPIO_PIN1;

#define LED1ON P2OUT |= GPIO_PIN0;\
               P3OUT &= ~GPIO_PIN1;

#define LED2ON P2OUT |= GPIO_PIN1;\
               P3OUT &= ~GPIO_PIN1;

#define LED3ON P1OUT |= GPIO_PIN1;\
               P3OUT &= ~GPIO_PIN1;

#define LED4ON P2OUT |= GPIO_PIN0;\
               P2OUT &= ~GPIO_PIN4;

#define LED5ON P2OUT |= GPIO_PIN1;\
               P2OUT &= ~GPIO_PIN4;

#define LED6ON P1OUT |= GPIO_PIN1;\
               P2OUT &= ~GPIO_PIN4;

#define LED7ON P2OUT |= GPIO_PIN0;\
               P1OUT &= ~GPIO_PIN7;

#define LED8ON P2OUT |= GPIO_PIN1;\
               P1OUT &= ~GPIO_PIN7;

#define LED9ON P1OUT |= GPIO_PIN1;\
               P1OUT &= ~GPIO_PIN7;

#define LED10ON P2OUT |= GPIO_PIN0;\
                P1OUT &= ~GPIO_PIN0;

#define LED11ON P2OUT |= GPIO_PIN1;\
                P1OUT &= ~GPIO_PIN0;

#define LED12ON P1OUT |= GPIO_PIN1;\
                P1OUT &= ~GPIO_PIN0;

extern void Board_Init();
extern void Keypad_Callback(tSensor* pSensor);
void Update_LED();

#endif /* APPLICATION_APPLICATION_H_ */
